VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "Version"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = True
Option Explicit
Const m_modName = "FMStocks_Bus.Version"
Private m_dbVer As FMStocks_DB.Version

Private Sub Class_Initialize()
    Set m_dbVer = New FMStocks_DB.Version
End Sub

Private Sub Class_Terminate()
    Set m_dbVer = Nothing
End Sub

Public Function AppVersion() As String
    AppVersion = GetVersionNumber()
End Function

Public Function ComputerName() As String
    ComputerName = GetComputerName()
End Function

Public Function DALVersion() As String
    DALVersion = m_dbVer.AppVersion()
End Function

Public Function DALConnectionString() As String
    DALConnectionString = m_dbVer.ConnectionString()
End Function

Public Function ConnectionString() As String
    ConnectionString = DALConnectionString()
End Function

Public Function DALComputerName() As String
    DALComputerName = m_dbVer.ComputerName()
End Function
